EnderDashEnderDash

Create Access Grant

Create Access Grant. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/organizations.createAccessGrant

Create Access Grant. This POST operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

memberId*string
draft*
organizationId?string
organizationSlug?string
serverId?string|null
reason?string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/organizations.createAccessGrant" \  -H "Content-Type: application/json" \  -d '{    "memberId": "string",    "draft": {      "effect": 0,      "actions": [        0      ],      "scope": {        "scopeKind": "any"      }    }  }'
{  "result": {    "data": {      "success": true,      "grantId": null    }  }}